Set a Temperature Threshold
Sets a temperature threshold for a specified thermostat. Seam emits a thermostat.temperature_threshold_exceeded event and adds a warning on a thermostat if it reports a temperature outside the threshold range.
PATCH /thermostats/set_temperature_threshold ⇒ voidAuthentication Methods
API key
Personal access token Must also include the
seam-workspaceheader in the request.
To learn more, see Authentication.
Request Parameters
device_id String (Required)
ID of the thermostat device for which you want to set a temperature threshold.
lower_limit_celsius Number
Lower temperature limit in in °C. Seam alerts you if the reported temperature is lower than this value. You can specify either lower_limit but not both.
lower_limit_fahrenheit Number
Lower temperature limit in in °F. Seam alerts you if the reported temperature is lower than this value. You can specify either lower_limit but not both.
upper_limit_celsius Number
Upper temperature limit in in °C. Seam alerts you if the reported temperature is higher than this value. You can specify either upper_limit but not both.
upper_limit_fahrenheit Number
Upper temperature limit in in °C. Seam alerts you if the reported temperature is higher than this value. You can specify either upper_limit but not both.
Response
void
Examples
Set a temperature threshold
Specify the device_id of the desired thermostat, along with the desired upper and lower limits in °C or °F.
Code
Output
Code
Output
Code
Output
Code
Output
Code
Output
Code
Output
Code
Output
Last updated
Was this helpful?

